<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: scalar_cd2_func Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">scalar_cd2_func Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a2b0c349716aab38c0f17fbeadca6d4b4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a2b0c349716aab38c0f17fbeadca6d4b4">allocate_solver_cd2</a> (solver)</td></tr>
<tr class="separator:a2b0c349716aab38c0f17fbeadca6d4b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38a13db412d2ef795e14029e4773360e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a38a13db412d2ef795e14029e4773360e">cleanup_solver_cd2</a> (solver)</td></tr>
<tr class="separator:a38a13db412d2ef795e14029e4773360e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6132b57a988a59bc7ebdbba03d2f90"><td class="memItemLeft" align="right" valign="top">recursive subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a7e6132b57a988a59bc7ebdbba03d2f90">destroy_solver_cd2_ptr</a> (var)</td></tr>
<tr class="separator:a7e6132b57a988a59bc7ebdbba03d2f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0302bcec8cc7b053559cc6dc51c7b4d0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a0302bcec8cc7b053559cc6dc51c7b4d0">scalar_cd2_init</a> (solver, scalar, sd)</td></tr>
<tr class="separator:a0302bcec8cc7b053559cc6dc51c7b4d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262d18c5b090a79ef72e1433b1e0ad91"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91">scalar_cd2_operator</a> (solver, scalar, sd, rhoU, rhoV, rhoW)</td></tr>
<tr class="separator:a262d18c5b090a79ef72e1433b1e0ad91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00ce91957feb7567979b9cfa2b9e238"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#ad00ce91957feb7567979b9cfa2b9e238">scalar_cd2_residual</a> (scalar, sd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:ad00ce91957feb7567979b9cfa2b9e238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad286d1d42fb689a7f642559d2aaf89fa"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#ad286d1d42fb689a7f642559d2aaf89fa">scalar_cd2_inverse</a> (scalar, sd, rhoU, rhoV, rhoW, RHO, dt)</td></tr>
<tr class="separator:ad286d1d42fb689a7f642559d2aaf89fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a415b3d5f98775d59e164143275a5779b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b">scalar_cd2_free_memory</a> (scalar)</td></tr>
<tr class="separator:a415b3d5f98775d59e164143275a5779b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae853713858d456513ae0cea51e2a3032"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#ae853713858d456513ae0cea51e2a3032">scalar_cd2_da_residual</a> (scalar, sd, rhoU, rhoV, rhoW, dt)</td></tr>
<tr class="separator:ae853713858d456513ae0cea51e2a3032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7852722c270466a0463f49d0d94d76d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacescalar__cd2__func.html#af7852722c270466a0463f49d0d94d76d">scalar_cd2_da_inverse</a> (scalar, sd, rhoU, rhoV, rhoW, RHO, dt)</td></tr>
<tr class="separator:af7852722c270466a0463f49d0d94d76d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a2b0c349716aab38c0f17fbeadca6d4b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b0c349716aab38c0f17fbeadca6d4b4">&#9670;&nbsp;</a></span>allocate_solver_cd2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::allocate_solver_cd2 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__cd2__defs_1_1solver__cd2__.html">solver_cd2_</a>), pointer&#160;</td>
          <td class="paramname"><em>solver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a2b0c349716aab38c0f17fbeadca6d4b4_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_a2b0c349716aab38c0f17fbeadca6d4b4_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a2b0c349716aab38c0f17fbeadca6d4b4_icgraph" id="namespacescalar__cd2__func_a2b0c349716aab38c0f17fbeadca6d4b4_icgraph">
<area shape="rect" id="node2" href="namespacescalar__cd2__func.html#a0302bcec8cc7b053559cc6dc51c7b4d0" title="scalar_cd2_func::scalar\l_cd2_init" alt="" coords="224,35,384,76"/>
<area shape="rect" id="node3" href="namespacescalar__cicsam__func.html#a03b88ed1ffd92e8cf23c20da74968cd8" title="scalar_cicsam_func\l::scalar_cicsam_init" alt="" coords="432,5,571,47"/>
<area shape="rect" id="node4" href="namespacevdf__scalar.html#a10c6975d4fc29aae72f06a71d04d6800" title="vdf_scalar::scalar_init" alt="" coords="619,42,768,69"/>
</map>
</div>

</div>
</div>
<a id="a38a13db412d2ef795e14029e4773360e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38a13db412d2ef795e14029e4773360e">&#9670;&nbsp;</a></span>cleanup_solver_cd2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_cd2_func::cleanup_solver_cd2 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__cd2__defs_1_1solver__cd2__.html">solver_cd2_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>solver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a38a13db412d2ef795e14029e4773360e_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_a38a13db412d2ef795e14029e4773360e_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a38a13db412d2ef795e14029e4773360e_icgraph" id="namespacescalar__cd2__func_a38a13db412d2ef795e14029e4773360e_icgraph">
<area shape="rect" id="node2" href="namespacescalar__cd2__func.html#a7e6132b57a988a59bc7ebdbba03d2f90" title="scalar_cd2_func::destroy\l_solver_cd2_ptr" alt="" coords="224,5,392,47"/>
</map>
</div>

</div>
</div>
<a id="a7e6132b57a988a59bc7ebdbba03d2f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e6132b57a988a59bc7ebdbba03d2f90">&#9670;&nbsp;</a></span>destroy_solver_cd2_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">recursive subroutine, public scalar_cd2_func::destroy_solver_cd2_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__cd2__defs_1_1solver__cd2__.html">solver_cd2_</a>), pointer&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__cd2__func.html#a38a13db412d2ef795e14029e4773360e">cleanup_solver_cd2()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a7e6132b57a988a59bc7ebdbba03d2f90_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_a7e6132b57a988a59bc7ebdbba03d2f90_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a7e6132b57a988a59bc7ebdbba03d2f90_cgraph" id="namespacescalar__cd2__func_a7e6132b57a988a59bc7ebdbba03d2f90_cgraph">
<area shape="rect" id="node2" href="namespacescalar__cd2__func.html#a38a13db412d2ef795e14029e4773360e" title="scalar_cd2_func::cleanup\l_solver_cd2" alt="" coords="221,5,392,47"/>
</map>
</div>

</div>
</div>
<a id="af7852722c270466a0463f49d0d94d76d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7852722c270466a0463f49d0d94d76d">&#9670;&nbsp;</a></span>scalar_cd2_da_inverse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_da_inverse </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>RHO</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__work__implicit.html#ac06a950c0d056ba6a06fe281fd846b4f">link_work_implicit::ac_diag</a>, <a class="el" href="namespacelink__work__implicit.html#ab1829f9849fbd3c1fb0306cec2f4f494">link_work_implicit::ax</a>, <a class="el" href="namespacelink__work__implicit.html#aa5c2c307d911f5aac25a7fadb7a851d7">link_work_implicit::ay</a>, <a class="el" href="namespacelink__work__implicit.html#a1eeb999cc91349edd7590406e3771af1">link_work_implicit::az</a>, <a class="el" href="namespaceimplicit__func.html#ab90d5c3880ba3d90a227e2d8643485b0">implicit_func::coeff_diagonal</a>, <a class="el" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968">implicit_func::implicit_solve_x()</a>, <a class="el" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926">implicit_func::implicit_solve_y()</a>, <a class="el" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3">implicit_func::implicit_solve_z()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacelink__work__implicit.html#a28646f62c4b6e9df0b522fb79be27b32">link_work_implicit::rx</a>, <a class="el" href="namespacelink__work__implicit.html#a2fc9f22055a2ceabb40c61a60fec5190">link_work_implicit::ry</a>, <a class="el" href="namespacelink__work__implicit.html#ae73dc2b7562a5b68c4f1f6bf72e3558b">link_work_implicit::rz</a>, <a class="el" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b">scalar_cd2_free_memory()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, and <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_af7852722c270466a0463f49d0d94d76d_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_af7852722c270466a0463f49d0d94d76d_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_af7852722c270466a0463f49d0d94d76d_cgraph" id="namespacescalar__cd2__func_af7852722c270466a0463f49d0d94d76d_cgraph">
<area shape="rect" id="node2" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="221,136,365,177"/>
<area shape="rect" id="node12" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="221,201,365,243"/>
<area shape="rect" id="node13" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="221,267,365,308"/>
<area shape="rect" id="node14" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="224,333,363,389"/>
<area shape="rect" id="node15" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b" title="scalar_cd2_func::scalar\l_cd2_free_memory" alt="" coords="213,413,373,455"/>
<area shape="rect" id="node3" href="namespacepentadiagonal__m.html#aca5488d6777b7860c32483a1f3c33f8c" title="pentadiagonal_m::pentadiagonal_vv" alt="" coords="421,209,651,235"/>
<area shape="rect" id="node8" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f" title="polydiagonal_m::polydiagonal_vv" alt="" coords="429,274,643,301"/>
<area shape="rect" id="node9" href="namespacetridiagonal__m.html#ab5dc49bab706e846f91279f079ad9494" title="tridiagonal_m::tridiagonal_vv" alt="" coords="443,143,629,170"/>
<area shape="rect" id="node4" href="namespacepentadiagonal__m.html#a8a3c27dbedbcb3a38d56c631a63bdd3a" title="pentadiagonal_m::pentadiagonal\l_periodic_serial_vv" alt="" coords="699,136,907,177"/>
<area shape="rect" id="node5" href="namespacepentadiagonal__m.html#ae4208d9692148edaf7b8cdb044345ac6" title="pentadiagonal_m::pentadiagonal\l_serial_vv" alt="" coords="699,201,907,243"/>
<area shape="rect" id="node6" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1" title="polydiagonal_m::polydiagonal\l_periodic_serial_vv" alt="" coords="707,267,899,308"/>
<area shape="rect" id="node7" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55" title="polydiagonal_m::polydiagonal\l_serial_vv" alt="" coords="707,332,899,373"/>
<area shape="rect" id="node10" href="namespacetridiagonal__m.html#aca8a7e2c722c6bbec05b33721c745dbc" title="tridiagonal_m::tridiagonal\l_serial_vv" alt="" coords="719,5,886,47"/>
<area shape="rect" id="node11" href="namespacetridiagonal__m.html#afbad07f6e521bc139844eb5b75c50cf0" title="tridiagonal_m::tridiagonal\l_periodic_serial_vv" alt="" coords="719,71,886,112"/>
</map>
</div>

</div>
</div>
<a id="ae853713858d456513ae0cea51e2a3032"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae853713858d456513ae0cea51e2a3032">&#9670;&nbsp;</a></span>scalar_cd2_da_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_da_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91">scalar_cd2_operator()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, and <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_ae853713858d456513ae0cea51e2a3032_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_ae853713858d456513ae0cea51e2a3032_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_ae853713858d456513ae0cea51e2a3032_cgraph" id="namespacescalar__cd2__func_ae853713858d456513ae0cea51e2a3032_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="256,5,331,32"/>
<area shape="rect" id="node3" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="224,56,363,112"/>
<area shape="rect" id="node4" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91" title="scalar_cd2_func::scalar\l_cd2_operator" alt="" coords="213,238,373,279"/>
<area shape="rect" id="node5" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="437,187,569,229"/>
<area shape="rect" id="node20" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="421,136,585,163"/>
<area shape="rect" id="node9" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="437,260,570,316"/>
<area shape="rect" id="node6" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="653,129,785,170"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="915,132,954,159"/>
<area shape="rect" id="node8" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="1077,132,1231,159"/>
<area shape="rect" id="node10" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="633,281,805,322"/>
<area shape="rect" id="node11" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="865,350,1005,391"/>
<area shape="rect" id="node12" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="869,415,1000,457"/>
<area shape="rect" id="node16" href="metric__generic_8f90.html#a896302266d3ab6b4fbc029f0ebdb600a" title="bc_metric_enforce_cyl" alt="" coords="858,183,1011,209"/>
<area shape="rect" id="node17" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="853,233,1016,260"/>
<area shape="rect" id="node18" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="867,285,1002,326"/>
<area shape="rect" id="node13" href="namespacebc__metric__func.html#a13d0c9b402015ef27760d0b5f86b986c" title="bc_metric_func::bc\l_metric_allocate_ops_work" alt="" coords="1064,415,1244,457"/>
<area shape="rect" id="node14" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1292,423,1388,449"/>
<area shape="rect" id="node15" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1436,415,1567,457"/>
<area shape="rect" id="node19" href="namespacebc__metric__func.html#a581044cbba4e15be69f686ba8cb6e9e1" title="bc_metric_func::set\l_dist_e_for_free_xm" alt="" coords="1084,285,1224,326"/>
</map>
</div>

</div>
</div>
<a id="a415b3d5f98775d59e164143275a5779b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a415b3d5f98775d59e164143275a5779b">&#9670;&nbsp;</a></span>scalar_cd2_free_memory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_free_memory </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a415b3d5f98775d59e164143275a5779b_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_a415b3d5f98775d59e164143275a5779b_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a415b3d5f98775d59e164143275a5779b_icgraph" id="namespacescalar__cd2__func_a415b3d5f98775d59e164143275a5779b_icgraph">
<area shape="rect" id="node2" href="namespacecfd__shock__scalar.html#acbb9b68bffb6bdf6e93cf118e04b93d4" title="cfd_shock_scalar::scalar\l_cd2_sc_residual" alt="" coords="213,71,380,112"/>
<area shape="rect" id="node6" href="namespacescalar__cd2__func.html#ad00ce91957feb7567979b9cfa2b9e238" title="scalar_cd2_func::scalar\l_cd2_residual" alt="" coords="217,231,377,272"/>
<area shape="rect" id="node13" href="namespacescalar__cd2__func.html#ad286d1d42fb689a7f642559d2aaf89fa" title="scalar_cd2_func::scalar\l_cd2_inverse" alt="" coords="217,165,377,207"/>
<area shape="rect" id="node15" href="namespacescalar__cd2__func.html#af7852722c270466a0463f49d0d94d76d" title="scalar_cd2_func::scalar\l_cd2_da_inverse" alt="" coords="217,296,377,337"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="428,5,611,47"/>
<area shape="rect" id="node5" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="456,71,583,112"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="667,5,810,47"/>
<area shape="rect" id="node7" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="659,263,819,304"/>
<area shape="rect" id="node10" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="465,187,574,214"/>
<area shape="rect" id="node12" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="441,238,598,265"/>
<area shape="rect" id="node8" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="867,270,1052,297"/>
<area shape="rect" id="node9" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1100,270,1207,297"/>
<area shape="rect" id="node11" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="663,180,814,221"/>
<area shape="rect" id="node14" href="vdf__disp__ph__solver__m_8f90.html#a9f47047e33918a826172df4611626c84" title="do_cn_step1" alt="" coords="471,137,567,163"/>
</map>
</div>

</div>
</div>
<a id="a0302bcec8cc7b053559cc6dc51c7b4d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0302bcec8cc7b053559cc6dc51c7b4d0">&#9670;&nbsp;</a></span>scalar_cd2_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__cd2__defs_1_1solver__cd2__.html">solver_cd2_</a>), pointer&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__cd2__func.html#a2b0c349716aab38c0f17fbeadca6d4b4">allocate_solver_cd2()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_cgraph" id="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_cgraph">
<area shape="rect" id="node2" href="namespacescalar__cd2__func.html#a2b0c349716aab38c0f17fbeadca6d4b4" title="scalar_cd2_func::allocate\l_solver_cd2" alt="" coords="213,5,384,47"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_icgraph" id="namespacescalar__cd2__func_a0302bcec8cc7b053559cc6dc51c7b4d0_icgraph">
<area shape="rect" id="node2" href="namespacescalar__cicsam__func.html#a03b88ed1ffd92e8cf23c20da74968cd8" title="scalar_cicsam_func\l::scalar_cicsam_init" alt="" coords="213,5,352,47"/>
<area shape="rect" id="node3" href="namespacevdf__scalar.html#a10c6975d4fc29aae72f06a71d04d6800" title="vdf_scalar::scalar_init" alt="" coords="400,42,549,69"/>
</map>
</div>

</div>
</div>
<a id="ad286d1d42fb689a7f642559d2aaf89fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad286d1d42fb689a7f642559d2aaf89fa">&#9670;&nbsp;</a></span>scalar_cd2_inverse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_inverse </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>RHO</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968">implicit_func::implicit_solve_x()</a>, <a class="el" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926">implicit_func::implicit_solve_y()</a>, <a class="el" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3">implicit_func::implicit_solve_z()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b">scalar_cd2_free_memory()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, and <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_cgraph" id="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_cgraph">
<area shape="rect" id="node2" href="namespaceimplicit__func.html#a243560db75a50af1b5ad0874e077e968" title="implicit_func::implicit\l_solve_x" alt="" coords="221,136,365,177"/>
<area shape="rect" id="node12" href="namespaceimplicit__func.html#a078fae110eeaf1cc6331dab38d9be926" title="implicit_func::implicit\l_solve_y" alt="" coords="221,201,365,243"/>
<area shape="rect" id="node13" href="namespaceimplicit__func.html#aac66c69403a8097f2f40c20ad085b5b3" title="implicit_func::implicit\l_solve_z" alt="" coords="221,267,365,308"/>
<area shape="rect" id="node14" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="224,333,363,389"/>
<area shape="rect" id="node15" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b" title="scalar_cd2_func::scalar\l_cd2_free_memory" alt="" coords="213,413,373,455"/>
<area shape="rect" id="node3" href="namespacepentadiagonal__m.html#aca5488d6777b7860c32483a1f3c33f8c" title="pentadiagonal_m::pentadiagonal_vv" alt="" coords="421,209,651,235"/>
<area shape="rect" id="node8" href="namespacepolydiagonal__m.html#a6819a6ba412138553ed15363ba834e3f" title="polydiagonal_m::polydiagonal_vv" alt="" coords="429,274,643,301"/>
<area shape="rect" id="node9" href="namespacetridiagonal__m.html#ab5dc49bab706e846f91279f079ad9494" title="tridiagonal_m::tridiagonal_vv" alt="" coords="443,143,629,170"/>
<area shape="rect" id="node4" href="namespacepentadiagonal__m.html#a8a3c27dbedbcb3a38d56c631a63bdd3a" title="pentadiagonal_m::pentadiagonal\l_periodic_serial_vv" alt="" coords="699,136,907,177"/>
<area shape="rect" id="node5" href="namespacepentadiagonal__m.html#ae4208d9692148edaf7b8cdb044345ac6" title="pentadiagonal_m::pentadiagonal\l_serial_vv" alt="" coords="699,201,907,243"/>
<area shape="rect" id="node6" href="namespacepolydiagonal__m.html#aaf7bcb06ff1b2461fc086ceabec0ecf1" title="polydiagonal_m::polydiagonal\l_periodic_serial_vv" alt="" coords="707,267,899,308"/>
<area shape="rect" id="node7" href="namespacepolydiagonal__m.html#a7df0ae302a86865a8c58f02c34450e55" title="polydiagonal_m::polydiagonal\l_serial_vv" alt="" coords="707,332,899,373"/>
<area shape="rect" id="node10" href="namespacetridiagonal__m.html#aca8a7e2c722c6bbec05b33721c745dbc" title="tridiagonal_m::tridiagonal\l_serial_vv" alt="" coords="719,5,886,47"/>
<area shape="rect" id="node11" href="namespacetridiagonal__m.html#afbad07f6e521bc139844eb5b75c50cf0" title="tridiagonal_m::tridiagonal\l_periodic_serial_vv" alt="" coords="719,71,886,112"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_icgraph" id="namespacescalar__cd2__func_ad286d1d42fb689a7f642559d2aaf89fa_icgraph">
<area shape="rect" id="node2" href="vdf__disp__ph__solver__m_8f90.html#a9f47047e33918a826172df4611626c84" title="do_cn_step1" alt="" coords="244,19,340,46"/>
<area shape="rect" id="node6" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="237,74,347,101"/>
<area shape="rect" id="node8" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="213,125,371,151"/>
<area shape="rect" id="node3" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="419,5,579,47"/>
<area shape="rect" id="node4" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="627,13,812,39"/>
<area shape="rect" id="node5" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="860,13,967,39"/>
<area shape="rect" id="node7" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="423,71,574,112"/>
</map>
</div>

</div>
</div>
<a id="a262d18c5b090a79ef72e1433b1e0ad91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a262d18c5b090a79ef72e1433b1e0ad91">&#9670;&nbsp;</a></span>scalar_cd2_operator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_operator </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__cd2__defs_1_1solver__cd2__.html">solver_cd2_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>solver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), intent(in), target&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), intent(in), target&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), intent(in), target&#160;</td>
          <td class="paramname"><em>rhoW</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665">metric_scalar_func::set_metric_scalar_for_bcs()</a>, <a class="el" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c">timing_func::timing_start()</a>, and <a class="el" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f">timing_func::timing_stop()</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_cgraph" id="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_cgraph">
<area shape="rect" id="node2" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="229,135,362,191"/>
<area shape="rect" id="node13" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="229,233,361,275"/>
<area shape="rect" id="node17" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="213,299,377,326"/>
<area shape="rect" id="node3" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="425,133,597,175"/>
<area shape="rect" id="node4" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="657,5,797,47"/>
<area shape="rect" id="node5" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="661,71,792,112"/>
<area shape="rect" id="node9" href="metric__generic_8f90.html#a896302266d3ab6b4fbc029f0ebdb600a" title="bc_metric_enforce_cyl" alt="" coords="650,137,803,163"/>
<area shape="rect" id="node10" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="645,187,808,214"/>
<area shape="rect" id="node11" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="659,239,794,280"/>
<area shape="rect" id="node6" href="namespacebc__metric__func.html#a13d0c9b402015ef27760d0b5f86b986c" title="bc_metric_func::bc\l_metric_allocate_ops_work" alt="" coords="856,71,1036,112"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1084,78,1180,105"/>
<area shape="rect" id="node8" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1228,71,1359,112"/>
<area shape="rect" id="node12" href="namespacebc__metric__func.html#a581044cbba4e15be69f686ba8cb6e9e1" title="bc_metric_func::set\l_dist_e_for_free_xm" alt="" coords="876,239,1016,280"/>
<area shape="rect" id="node14" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="445,292,577,333"/>
<area shape="rect" id="node15" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="707,305,746,331"/>
<area shape="rect" id="node16" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="869,305,1023,331"/>
</map>
</div>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_icgraph" id="namespacescalar__cd2__func_a262d18c5b090a79ef72e1433b1e0ad91_icgraph">
<area shape="rect" id="node2" href="namespacecfd__shock__scalar.html#acbb9b68bffb6bdf6e93cf118e04b93d4" title="cfd_shock_scalar::scalar\l_cd2_sc_residual" alt="" coords="213,71,380,112"/>
<area shape="rect" id="node6" href="namespacescalar__cd2__func.html#ad00ce91957feb7567979b9cfa2b9e238" title="scalar_cd2_func::scalar\l_cd2_residual" alt="" coords="217,165,377,207"/>
<area shape="rect" id="node13" href="namespacescalar__cd2__func.html#ae853713858d456513ae0cea51e2a3032" title="scalar_cd2_func::scalar\l_cd2_da_residual" alt="" coords="217,231,377,272"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="428,5,611,47"/>
<area shape="rect" id="node5" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="456,71,583,112"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="680,5,823,47"/>
<area shape="rect" id="node7" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="439,136,599,177"/>
<area shape="rect" id="node10" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="465,202,574,229"/>
<area shape="rect" id="node12" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="441,253,598,279"/>
<area shape="rect" id="node8" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="659,143,844,170"/>
<area shape="rect" id="node9" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="892,143,999,170"/>
<area shape="rect" id="node11" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="676,195,827,236"/>
</map>
</div>

</div>
</div>
<a id="ad00ce91957feb7567979b9cfa2b9e238"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad00ce91957feb7567979b9cfa2b9e238">&#9670;&nbsp;</a></span>scalar_cd2_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public scalar_cd2_func::scalar_cd2_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), pointer&#160;</td>
          <td class="paramname"><em>rhoW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd">apply_bc()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b">scalar_cd2_free_memory()</a>, <a class="el" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91">scalar_cd2_operator()</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, and <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>.</p>
<div id="dynsection-12" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-12-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-12-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-12-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_cgraph.png" border="0" usemap="#namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_cgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_cgraph" id="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="256,37,331,63"/>
<area shape="rect" id="node3" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="224,87,363,143"/>
<area shape="rect" id="node4" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b" title="scalar_cd2_func::scalar\l_cd2_free_memory" alt="" coords="213,168,373,209"/>
<area shape="rect" id="node5" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91" title="scalar_cd2_func::scalar\l_cd2_operator" alt="" coords="213,233,373,275"/>
<area shape="rect" id="node6" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="437,135,570,191"/>
<area shape="rect" id="node17" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="437,233,569,275"/>
<area shape="rect" id="node21" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="421,299,585,326"/>
<area shape="rect" id="node7" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="633,133,805,175"/>
<area shape="rect" id="node8" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="865,5,1005,47"/>
<area shape="rect" id="node9" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="869,71,1000,112"/>
<area shape="rect" id="node13" href="metric__generic_8f90.html#a896302266d3ab6b4fbc029f0ebdb600a" title="bc_metric_enforce_cyl" alt="" coords="858,137,1011,163"/>
<area shape="rect" id="node14" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="853,187,1016,214"/>
<area shape="rect" id="node15" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="867,239,1002,280"/>
<area shape="rect" id="node10" href="namespacebc__metric__func.html#a13d0c9b402015ef27760d0b5f86b986c" title="bc_metric_func::bc\l_metric_allocate_ops_work" alt="" coords="1064,71,1244,112"/>
<area shape="rect" id="node11" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1292,78,1388,105"/>
<area shape="rect" id="node12" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1436,71,1567,112"/>
<area shape="rect" id="node16" href="namespacebc__metric__func.html#a581044cbba4e15be69f686ba8cb6e9e1" title="bc_metric_func::set\l_dist_e_for_free_xm" alt="" coords="1084,239,1224,280"/>
<area shape="rect" id="node18" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="653,292,785,333"/>
<area shape="rect" id="node19" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="915,305,954,331"/>
<area shape="rect" id="node20" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="1077,305,1231,331"/>
</map>
</div>
<div id="dynsection-13" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-13-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-13-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-13-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_icgraph.png" border="0" usemap="#namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_icgraph" alt=""/></div>
<map name="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_icgraph" id="namespacescalar__cd2__func_ad00ce91957feb7567979b9cfa2b9e238_icgraph">
<area shape="rect" id="node2" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="213,5,373,47"/>
<area shape="rect" id="node5" href="vdf__dp__density__m_8f90.html#a847eb14ceb52a34a7d624efd1ae71722" title="solve_a_scalar" alt="" coords="239,71,348,98"/>
<area shape="rect" id="node7" href="namespacevdf__scalar.html#a52c04fbee6b707e0d63412c553e74def" title="vdf_scalar::scalar_step" alt="" coords="215,122,372,149"/>
<area shape="rect" id="node3" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="421,13,607,39"/>
<area shape="rect" id="node4" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="655,13,761,39"/>
<area shape="rect" id="node6" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="439,64,589,105"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
